#!/bin/sh

echo "Downloading missing maps, if any. Please wait."

mkdir -p ../qw/maps

for i in `cat mappool`
do
j=`echo $i | grep -v ^dm[1-6]\$`
j=`echo $j | grep -v ^e[1-4]m[1-8]\$`
j=`echo $j | grep -v ^start\$`
j=`echo $j | grep -v ^end\$`
if [ $j ]; then if [ ! -f ../qw/maps/$i.bsp ]; then echo -n "Downloading $i..."; wget -q -O ../qw/maps/$i.bsp http://bigfoot.morphos-team.net/misc/quakemaps/$i.bsp; echo " `du -b ../qw/maps/$i.bsp | cut -f 1` bytes"; fi; fi
done

echo "Done downloading maps."

j=""
firstmap=""

rm -f maps.cfg

for i in `cat mappool`
do
if [ -z "$firstmap" ]; then firstmap=$i; fi
if [ -n "$j" ]; then echo >>maps.cfg localinfo \"$j\" \"$i\"; fi
j=$i
done

if [ "$j" != "" ]; then echo >>maps.cfg localinfo \"$j\" \"$firstmap\"; fi

echo >startmap.cfg "map $firstmap"

echo "Now type 'rcon exec maps.cfg' when connected to the server to make the new map pool take effect"

